OpenShot Audio Library | OpenShotAudio: juce::universal_midi_packets::Factory Struct Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Classes | Public Types | Static Public Member Functions | List of all members
juce::universal_midi_packets::Factory Struct Reference

`#include <juce_UMPFactory.h>`

## Classes
struct | Detail

## Public Types
enum class | NoteAttributeKind : uint8_t { none = 0x00 , manufacturer = 0x01 , profile = 0x02 , pitch7_9 = 0x03 }

## Static Public Member Functions
static PacketX1 | makeNoop (uint8_t group)
static PacketX1 | makeJRClock (uint8_t group, uint16_t time)
static PacketX1 | makeJRTimestamp (uint8_t group, uint16_t time)
static PacketX1 | makeTimeCode (uint8_t group, uint8_t code)
static PacketX1 | makeSongPositionPointer (uint8_t group, uint16_t pos)
static PacketX1 | makeSongSelect (uint8_t group, uint8_t song)
static PacketX1 | makeTuneRequest (uint8_t group)
static PacketX1 | makeTimingClock (uint8_t group)
static PacketX1 | makeStart (uint8_t group)
static PacketX1 | makeContinue (uint8_t group)
static PacketX1 | makeStop (uint8_t group)
static PacketX1 | makeActiveSensing (uint8_t group)
static PacketX1 | makeReset (uint8_t group)
static PacketX1 | makeNoteOffV1 (uint8_t group, uint8_t channel, uint8_t note, uint8_t velocity)
static PacketX1 | makeNoteOnV1 (uint8_t group, uint8_t channel, uint8_t note, uint8_t velocity)
static PacketX1 | makePolyPressureV1 (uint8_t group, uint8_t channel, uint8_t note, uint8_t pressure)
static PacketX1 | makeControlChangeV1 (uint8_t group, uint8_t channel, uint8_t controller, uint8_t value)
static PacketX1 | makeProgramChangeV1 (uint8_t group, uint8_t channel, uint8_t program)
static PacketX1 | makeChannelPressureV1 (uint8_t group, uint8_t channel, uint8_t pressure)
static PacketX1 | makePitchBend (uint8_t group, uint8_t channel, uint16_t pitchbend)
static PacketX2 | makeSysExIn1Packet (uint8_t group, uint8_t numBytes, const std::byte *data)
static PacketX2 | makeSysExStart (uint8_t group, uint8_t numBytes, const std::byte *data)
static PacketX2 | makeSysExContinue (uint8_t group, uint8_t numBytes, const std::byte *data)
static PacketX2 | makeSysExEnd (uint8_t group, uint8_t numBytes, const std::byte *data)
static PacketX2 | makeRegisteredPerNoteControllerV2 (uint8_t group, uint8_t channel, uint8_t note, uint8_t controller, uint32_t data)
static PacketX2 | makeAssignablePerNoteControllerV2 (uint8_t group, uint8_t channel, uint8_t note, uint8_t controller, uint32_t data)
static PacketX2 | makeRegisteredControllerV2 (uint8_t group, uint8_t channel, uint8_t bank, uint8_t index, uint32_t data)
static PacketX2 | makeAssignableControllerV2 (uint8_t group, uint8_t channel, uint8_t bank, uint8_t index, uint32_t data)
static PacketX2 | makeRelativeRegisteredControllerV2 (uint8_t group, uint8_t channel, uint8_t bank, uint8_t index, uint32_t data)
static PacketX2 | makeRelativeAssignableControllerV2 (uint8_t group, uint8_t channel, uint8_t bank, uint8_t index, uint32_t data)
static PacketX2 | makePerNotePitchBendV2 (uint8_t group, uint8_t channel, uint8_t note, uint32_t data)
static PacketX2 | makeNoteOffV2 (uint8_t group, uint8_t channel, uint8_t note, NoteAttributeKind attribute, uint16_t velocity, uint16_t attributeValue)
static PacketX2 | makeNoteOnV2 (uint8_t group, uint8_t channel, uint8_t note, NoteAttributeKind attribute, uint16_t velocity, uint16_t attributeValue)
static PacketX2 | makePolyPressureV2 (uint8_t group, uint8_t channel, uint8_t note, uint32_t data)
static PacketX2 | makeControlChangeV2 (uint8_t group, uint8_t channel, uint8_t controller, uint32_t data)
static PacketX2 | makeProgramChangeV2 (uint8_t group, uint8_t channel, uint8_t optionFlags, uint8_t program, uint8_t bankMsb, uint8_t bankLsb)
static PacketX2 | makeChannelPressureV2 (uint8_t group, uint8_t channel, uint32_t data)
static PacketX2 | makePitchBendV2 (uint8_t group, uint8_t channel, uint32_t data)
static PacketX2 | makePerNoteManagementV2 (uint8_t group, uint8_t channel, uint8_t note, uint8_t optionFlags)
static PacketX4 | makeSysEx8in1Packet (uint8_t group, uint8_t numBytes, uint8_t streamId, const uint8_t *data)
static PacketX4 | makeSysEx8Start (uint8_t group, uint8_t numBytes, uint8_t streamId, const uint8_t *data)
static PacketX4 | makeSysEx8Continue (uint8_t group, uint8_t numBytes, uint8_t streamId, const uint8_t *data)
static PacketX4 | makeSysEx8End (uint8_t group, uint8_t numBytes, uint8_t streamId, const uint8_t *data)
static PacketX4 | makeMixedDataSetHeader (uint8_t group, uint8_t dataSetId, const uint8_t *data)
static PacketX4 | makeDataSetPayload (uint8_t group, uint8_t dataSetId, const uint8_t *data)

## Detailed Description

This struct holds functions that can be used to create different kinds of Universal MIDI Packet.

Definition at line 34 of file juce_UMPFactory.h.

## Member Enumeration Documentation

## ◆ NoteAttributeKind

enum class juce::universal_midi_packets::Factory::NoteAttributeKind : uint8_t
| strong

Definition at line 369 of file juce_UMPFactory.h.

## Member Function Documentation

## ◆ makeActiveSensing()

static PacketX1 juce::universal_midi_packets::Factory::makeActiveSensing | ( | uint8_t | group | ) |
| inlinestatic

Definition at line 154 of file juce_UMPFactory.h.

## ◆ makeAssignableControllerV2()

static PacketX2 juce::universal_midi_packets::Factory::makeAssignableControllerV2 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | bank,
|  | uint8_t | index,
|  | uint32_t | data )
| inlinestatic

Definition at line 315 of file juce_UMPFactory.h.

## ◆ makeAssignablePerNoteControllerV2()

static PacketX2 juce::universal_midi_packets::Factory::makeAssignablePerNoteControllerV2 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | note,
|  | uint8_t | controller,
|  | uint32_t | data )
| inlinestatic

Definition at line 287 of file juce_UMPFactory.h.

## ◆ makeChannelPressureV1()

static PacketX1 juce::universal_midi_packets::Factory::makeChannelPressureV1 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | pressure )
| inlinestatic

Definition at line 224 of file juce_UMPFactory.h.

## ◆ makeChannelPressureV2()

static PacketX2 juce::universal_midi_packets::Factory::makeChannelPressureV2 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint32_t | data )
| inlinestatic

Definition at line 449 of file juce_UMPFactory.h.

## ◆ makeContinue()

static PacketX1 juce::universal_midi_packets::Factory::makeContinue | ( | uint8_t | group | ) |
| inlinestatic

Definition at line 142 of file juce_UMPFactory.h.

## ◆ makeControlChangeV1()

static PacketX1 juce::universal_midi_packets::Factory::makeControlChangeV1 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | controller,
|  | uint8_t | value )
| inlinestatic

Definition at line 202 of file juce_UMPFactory.h.

## ◆ makeControlChangeV2()

static PacketX2 juce::universal_midi_packets::Factory::makeControlChangeV2 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | controller,
|  | uint32_t | data )
| inlinestatic

Definition at line 421 of file juce_UMPFactory.h.

## ◆ makeDataSetPayload()

static PacketX4 juce::universal_midi_packets::Factory::makeDataSetPayload | ( | uint8_t | group,
|  | uint8_t | dataSetId,
|  | const uint8_t * | data )
| inlinestatic

Definition at line 521 of file juce_UMPFactory.h.

## ◆ makeJRClock()

static PacketX1 juce::universal_midi_packets::Factory::makeJRClock | ( | uint8_t | group,
|  | uint16_t | time )
| inlinestatic

Definition at line 92 of file juce_UMPFactory.h.

## ◆ makeJRTimestamp()

static PacketX1 juce::universal_midi_packets::Factory::makeJRTimestamp | ( | uint8_t | group,
|  | uint16_t | time )
| inlinestatic

Definition at line 97 of file juce_UMPFactory.h.

## ◆ makeMixedDataSetHeader()

static PacketX4 juce::universal_midi_packets::Factory::makeMixedDataSetHeader | ( | uint8_t | group,
|  | uint8_t | dataSetId,
|  | const uint8_t * | data )
| inlinestatic

Definition at line 514 of file juce_UMPFactory.h.

## ◆ makeNoop()

static PacketX1 juce::universal_midi_packets::Factory::makeNoop | ( | uint8_t | group | ) |
| inlinestatic

Definition at line 87 of file juce_UMPFactory.h.

## ◆ makeNoteOffV1()

static PacketX1 juce::universal_midi_packets::Factory::makeNoteOffV1 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | note,
|  | uint8_t | velocity )
| inlinestatic

Definition at line 166 of file juce_UMPFactory.h.

## ◆ makeNoteOffV2()

static PacketX2 juce::universal_midi_packets::Factory::makeNoteOffV2 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | note,
|  | NoteAttributeKind | attribute,
|  | uint16_t | velocity,
|  | uint16_t | attributeValue )
| inlinestatic

Definition at line 377 of file juce_UMPFactory.h.

## ◆ makeNoteOnV1()

static PacketX1 juce::universal_midi_packets::Factory::makeNoteOnV1 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | note,
|  | uint8_t | velocity )
| inlinestatic

Definition at line 178 of file juce_UMPFactory.h.

## ◆ makeNoteOnV2()

static PacketX2 juce::universal_midi_packets::Factory::makeNoteOnV2 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | note,
|  | NoteAttributeKind | attribute,
|  | uint16_t | velocity,
|  | uint16_t | attributeValue )
| inlinestatic

Definition at line 393 of file juce_UMPFactory.h.

## ◆ makePerNoteManagementV2()

static PacketX2 juce::universal_midi_packets::Factory::makePerNoteManagementV2 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | note,
|  | uint8_t | optionFlags )
| inlinestatic

Definition at line 469 of file juce_UMPFactory.h.

## ◆ makePerNotePitchBendV2()

static PacketX2 juce::universal_midi_packets::Factory::makePerNotePitchBendV2 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | note,
|  | uint32_t | data )
| inlinestatic

Definition at line 357 of file juce_UMPFactory.h.

## ◆ makePitchBend()

static PacketX1 juce::universal_midi_packets::Factory::makePitchBend | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint16_t | pitchbend )
| inlinestatic

Definition at line 234 of file juce_UMPFactory.h.

## ◆ makePitchBendV2()

static PacketX2 juce::universal_midi_packets::Factory::makePitchBendV2 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint32_t | data )
| inlinestatic

Definition at line 459 of file juce_UMPFactory.h.

## ◆ makePolyPressureV1()

static PacketX1 juce::universal_midi_packets::Factory::makePolyPressureV1 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | note,
|  | uint8_t | pressure )
| inlinestatic

Definition at line 190 of file juce_UMPFactory.h.

## ◆ makePolyPressureV2()

static PacketX2 juce::universal_midi_packets::Factory::makePolyPressureV2 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | note,
|  | uint32_t | data )
| inlinestatic

Definition at line 409 of file juce_UMPFactory.h.

## ◆ makeProgramChangeV1()

static PacketX1 juce::universal_midi_packets::Factory::makeProgramChangeV1 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | program )
| inlinestatic

Definition at line 214 of file juce_UMPFactory.h.

## ◆ makeProgramChangeV2()

static PacketX2 juce::universal_midi_packets::Factory::makeProgramChangeV2 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | optionFlags,
|  | uint8_t | program,
|  | uint8_t | bankMsb,
|  | uint8_t | bankLsb )
| inlinestatic

Definition at line 433 of file juce_UMPFactory.h.

## ◆ makeRegisteredControllerV2()

static PacketX2 juce::universal_midi_packets::Factory::makeRegisteredControllerV2 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | bank,
|  | uint8_t | index,
|  | uint32_t | data )
| inlinestatic

Definition at line 301 of file juce_UMPFactory.h.

## ◆ makeRegisteredPerNoteControllerV2()

static PacketX2 juce::universal_midi_packets::Factory::makeRegisteredPerNoteControllerV2 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | note,
|  | uint8_t | controller,
|  | uint32_t | data )
| inlinestatic

Definition at line 273 of file juce_UMPFactory.h.

## ◆ makeRelativeAssignableControllerV2()

static PacketX2 juce::universal_midi_packets::Factory::makeRelativeAssignableControllerV2 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | bank,
|  | uint8_t | index,
|  | uint32_t | data )
| inlinestatic

Definition at line 343 of file juce_UMPFactory.h.

## ◆ makeRelativeRegisteredControllerV2()

static PacketX2 juce::universal_midi_packets::Factory::makeRelativeRegisteredControllerV2 | ( | uint8_t | group,
|  | uint8_t | channel,
|  | uint8_t | bank,
|  | uint8_t | index,
|  | uint32_t | data )
| inlinestatic

Definition at line 329 of file juce_UMPFactory.h.

## ◆ makeReset()

static PacketX1 juce::universal_midi_packets::Factory::makeReset | ( | uint8_t | group | ) |
| inlinestatic

Definition at line 160 of file juce_UMPFactory.h.

## ◆ makeSongPositionPointer()

static PacketX1 juce::universal_midi_packets::Factory::makeSongPositionPointer | ( | uint8_t | group,
|  | uint16_t | pos )
| inlinestatic

Definition at line 109 of file juce_UMPFactory.h.

## ◆ makeSongSelect()

static PacketX1 juce::universal_midi_packets::Factory::makeSongSelect | ( | uint8_t | group,
|  | uint8_t | song )
| inlinestatic

Definition at line 117 of file juce_UMPFactory.h.

## ◆ makeStart()

static PacketX1 juce::universal_midi_packets::Factory::makeStart | ( | uint8_t | group | ) |
| inlinestatic

Definition at line 136 of file juce_UMPFactory.h.

## ◆ makeStop()

static PacketX1 juce::universal_midi_packets::Factory::makeStop | ( | uint8_t | group | ) |
| inlinestatic

Definition at line 148 of file juce_UMPFactory.h.

## ◆ makeSysEx8Continue()

static PacketX4 juce::universal_midi_packets::Factory::makeSysEx8Continue | ( | uint8_t | group,
|  | uint8_t | numBytes,
|  | uint8_t | streamId,
|  | const uint8_t * | data )
| inlinestatic

Definition at line 498 of file juce_UMPFactory.h.

## ◆ makeSysEx8End()

static PacketX4 juce::universal_midi_packets::Factory::makeSysEx8End | ( | uint8_t | group,
|  | uint8_t | numBytes,
|  | uint8_t | streamId,
|  | const uint8_t * | data )
| inlinestatic

Definition at line 506 of file juce_UMPFactory.h.

## ◆ makeSysEx8in1Packet()

static PacketX4 juce::universal_midi_packets::Factory::makeSysEx8in1Packet | ( | uint8_t | group,
|  | uint8_t | numBytes,
|  | uint8_t | streamId,
|  | const uint8_t * | data )
| inlinestatic

Definition at line 482 of file juce_UMPFactory.h.

## ◆ makeSysEx8Start()

static PacketX4 juce::universal_midi_packets::Factory::makeSysEx8Start | ( | uint8_t | group,
|  | uint8_t | numBytes,
|  | uint8_t | streamId,
|  | const uint8_t * | data )
| inlinestatic

Definition at line 490 of file juce_UMPFactory.h.

## ◆ makeSysExContinue()

static PacketX2 juce::universal_midi_packets::Factory::makeSysExContinue | ( | uint8_t | group,
|  | uint8_t | numBytes,
|  | const std::byte * | data )
| inlinestatic

Definition at line 259 of file juce_UMPFactory.h.

## ◆ makeSysExEnd()

static PacketX2 juce::universal_midi_packets::Factory::makeSysExEnd | ( | uint8_t | group,
|  | uint8_t | numBytes,
|  | const std::byte * | data )
| inlinestatic

Definition at line 266 of file juce_UMPFactory.h.

## ◆ makeSysExIn1Packet()

static PacketX2 juce::universal_midi_packets::Factory::makeSysExIn1Packet | ( | uint8_t | group,
|  | uint8_t | numBytes,
|  | const std::byte * | data )
| inlinestatic

Definition at line 245 of file juce_UMPFactory.h.

## ◆ makeSysExStart()

static PacketX2 juce::universal_midi_packets::Factory::makeSysExStart | ( | uint8_t | group,
|  | uint8_t | numBytes,
|  | const std::byte * | data )
| inlinestatic

Definition at line 252 of file juce_UMPFactory.h.

## ◆ makeTimeCode()

static PacketX1 juce::universal_midi_packets::Factory::makeTimeCode | ( | uint8_t | group,
|  | uint8_t | code )
| inlinestatic

Definition at line 102 of file juce_UMPFactory.h.

## ◆ makeTimingClock()

static PacketX1 juce::universal_midi_packets::Factory::makeTimingClock | ( | uint8_t | group | ) |
| inlinestatic

Definition at line 130 of file juce_UMPFactory.h.

## ◆ makeTuneRequest()

static PacketX1 juce::universal_midi_packets::Factory::makeTuneRequest | ( | uint8_t | group | ) |
| inlinestatic

Definition at line 124 of file juce_UMPFactory.h.

The documentation for this struct was generated from the following file:

- juce_UMPFactory.h